-- Most influential countries (based on movie votes)
SELECT cn.country_code, sum(r.votes)
FROM company_name AS cn,
     movie_companies AS mc,
     movie_rating AS r
WHERE cn.id = mc.id
  AND mc.movie_id = r.movie_id
GROUP BY cn.country_code
HAVING sum(r.votes) > $THRESHOLD -- parameter range [0, 5000000] in 166666 increments
ORDER BY sum(r.votes);
