-- Cast with flopped titles (min rating below threshold)
SELECT n.id, n.name, min(r.rating), sum(r.votes)
FROM cast_info AS ci,
     name AS n,
     movie_rating AS r
WHERE ci.movie_id = r.movie_id
  AND ci.person_id = n.id
  AND r.votes > 1000
GROUP BY n.id, n.name
HAVING min(r.rating) < $THRESHOLD -- rameter range [1.5, 9.5] in .5 increments
ORDER BY min(r.rating) DESC;
