-- Most popular crew (based on movie votes they played in)
SELECT n.id, n.name, sum(r.votes)
FROM cast_info AS ci,
     name AS n,
     movie_rating AS r
WHERE ci.movie_id = r.movie_id
  AND ci.person_id = n.id
GROUP BY n.id, n.name
HAVING sum(r.votes) > $THRESHOLD -- parameter range [0, 10000000] in 100000 increments
ORDER BY sum(r.votes);
