-- Best quality crew (average movie rating they played in)
SELECT n.id, n.name, avg(r.rating)
FROM cast_info AS ci,
     name AS n,
     movie_rating AS r
WHERE ci.movie_id = r.movie_id
  AND ci.person_id = n.id
GROUP BY n.id, n.name
HAVING avg(r.rating) > $THRESHOLD -- parameter range [1, 9.5] in .5 increments
   AND sum(r.votes) > 10000
ORDER BY avg(r.rating);
